=== debian/changelog ===
vst3sdk (3.7.10.14+~4.13.3-4) unstable; urgency=medium

  * Install interfaces to /usr/include/vst3sdk.
  * Build with -malign-double on i386, m68k and sh4 (Closes: #1095137)

 -- Andrius Merkys <merkys@debian.org>  Tue, 25 Feb 2025 09:16:44 -0500

vst3sdk (3.7.10.14+~4.13.3-3) unstable; urgency=medium

  * Install all headers (Closes: #1094382)

 -- Andrius Merkys <merkys@debian.org>  Wed, 29 Jan 2025 03:39:58 -0500

vst3sdk (3.7.10.14+~4.13.3-2) unstable; urgency=medium

  * Backport upstream patch to fix FTBFS (Closes: #1085063)

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Oct 2024 02:22:04 -0400

vst3sdk (3.7.10.14+~4.13.3-1) unstable; urgency=medium

  * Initial release (Closes: #943315)

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 May 2024 03:03:06 -0400
