=== debian/control ===
Source: vst3sdk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libcairo2-dev,
 libfreetype-dev,
 libglib2.0-dev,
 libgtkmm-3.0-dev,
 libjack-dev,
 libpango1.0-dev,
 libsqlite3-dev,
 libx11-dev,
 libxcb-cursor-dev,
 libxcb-keysyms1-dev,
 libxcb-util-dev,
 libxcb-xkb-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 pkgconf,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/vst3sdk.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vst3sdk

Package: libvst3sdk-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: VST SDK development files
 Virtual Studio Technology (VST) is an audio plug-in software interface that
 facilitates the integration of software synthesizers and effects in digital
 audio workstations (DAW).
 .
 This package contains VST SDK development files.

Package: vst3sdk-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: VST SDK plug-ins
 Virtual Studio Technology (VST) is an audio plug-in software interface that
 facilitates the integration of software synthesizers and effects in digital
 audio workstations (DAW).
 .
 This package contains VST plugins from VST SDK.
