=== debian/rules ===
#!/usr/bin/make -f

CONFIGURE_OPTIONS = -DCMAKE_BUILD_TYPE=Debug

ifneq (,$(filter $(DEB_HOST_ARCH), i386 m68k sh4))
    CONFIGURE_OPTIONS += -DCMAKE_CXX_FLAGS=-malign-double
endif

%:
	dh $@

override_dh_auto_configure:
	ln -s public-sdk public.sdk
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

execute_after_dh_install:
	find base -name '*.h' | while read H; do dh_install $$H usr/include/vst3sdk/$$(dirname $$H); done
	find public-sdk -name '*.h' | while read H; do dh_install $$H usr/include/vst3sdk/$$(dirname $$H | sed 's/^public-sdk/public.sdk/'); done
	find vstgui4 -name '*.h' | grep -vF /tests/ | while read H; do dh_install $$H usr/include/vst3sdk/$$(dirname $$H | sed 's/^vstgui4\///'); done
