=== debian/watch ===
version=4
opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%, uversionmangle=s/_build_/\./" \
https://github.com/steinbergmedia/vst3sdk/tags \
    (?:.*?/)?v([0-9\.]+_build_\d+)@ARCHIVE_EXT@ group

opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-base-$1$2%, uversionmangle=s/_build_/\./, component=base" \
https://github.com/steinbergmedia/vst3_base/tags \
    (?:.*?/)?v([0-9\.]+_build_\d+)@ARCHIVE_EXT@

opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-cmake-$1$2%, uversionmangle=s/_build_/\./, component=cmake" \
https://github.com/steinbergmedia/vst3_cmake/tags \
    (?:.*?/)?v([0-9\.]+_build_\d+)@ARCHIVE_EXT@

## doc/ contains a lot of files diagnosed as source-is-missing by lintian
# opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-doc-$1$2%, component=doc" \
# https://github.com/steinbergmedia/vst3_doc/tags \
#     (?:.*?/)?v?@ANY_VERSION@_build_\d+@ARCHIVE_EXT@ same

opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-pluginterfaces-$1$2%, uversionmangle=s/_build_/\./, component=pluginterfaces" \
https://github.com/steinbergmedia/vst3_pluginterfaces/tags \
    (?:.*?/)?v([0-9\.]+_build_\d+)@ARCHIVE_EXT@

opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-public.sdk-$1$2%, uversionmangle=s/_build_/\./, component=public-sdk" \
https://github.com/steinbergmedia/vst3_public_sdk/tags \
    (?:.*?/)?v([0-9\.]+_build_\d+)@ARCHIVE_EXT@

# opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-tutorials-$1$2%, component=tutorials" \
# https://github.com/steinbergmedia/vst3_tutorials/tags \
#     (?:.*?/)?v?@ANY_VERSION@_build_\d+@ARCHIVE_EXT@ same

opts="filenamemangle=s%v@ANY_VERSION@_build_\d+(@ARCHIVE_EXT@)%@PACKAGE@-vstgui4-$1$2%, component=vstgui4, uversionmangle=s/_/\./g" \
https://github.com/steinbergmedia/vstgui/tags \
    (?:.*?/)?vstgui(4_\d+_\d+)@ARCHIVE_EXT@ group
